Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class Preferences

Container for shell preferences.

version:
  $Id: Preferences.java 8413 2007-10-07 05:31:24Z user57 $

author:
  Jason Dillon

Field Summary
`def` | `STORE`
`boolean` | `sanitizeStackTrace`
`boolean` | `showLastResult`
`def` | `verbosity`

Constructor Summary
`Preferences()`

Method Summary
`static void` | `addChangeListener(PreferenceChangeListener listener)`
`static void` | `clear()`
`static String` | `get(String name, String defaultValue)`
`static String` | `get(String name)`
`static def` | `keys()`
`static void` | `put(String name, String value)`

Constructor Detail

### Preferences

    Preferences()

Method Detail

### addChangeListener

    public static void addChangeListener(PreferenceChangeListener listener)

### clear

    public static void clear()

### get

    public static String get(String name, String defaultValue)

### get

    public static String get(String name)

### keys

    public static def keys()

### put

    public static void put(String name, String value)